# include directories
LIBDIR  = $(OSROOTDIR)$(PS)c$(PS)lib
RTXSRCDIR = $(OSROOTDIR)$(PS)rtxsrc
PERSRCDIR = $(OSROOTDIR)$(PS)rtxpersrc
XMLSRCDIR = $(OSROOTDIR)$(PS)rtxmlsrc
JSONSRCDIR = $(OSROOTDIR)$(PS)rtjsonsrc
XSDDIR = $(OSROOTDIR)$(PS)xsd

# compiler defs
CFLAGS = -c $(CVARS_) $(CFLAGS_) $(CBLDTYPE_) $(XMLDEFS)
IPATHS = -I$(OSROOTDIR) $(XMLINC) $(IPATHS_)
LINKOPT = $(LINKOPT_) $(LINKDBG)

HFILES = $(RTXSRCDIR)$(PS)osSysTypes.h \
$(RTXSRCDIR)$(PS)rtxContext.h \
$(RTXSRCDIR)$(PS)rtxCommon.h \
$(RTXSRCDIR)$(PS)rtxErrCodes.h \
$(XMLSRCDIR)$(PS)osrtxml.h

SAXHFILES = $(HFILES) $(XMLSRCDIR)$(PS)rtSaxCParser.h $(XMLSRCDIR)$(PS)rtSaxDefs.h

LIBS = $(LIBDIR)$(PS)libosysrt.a $(LIBDIR)$(PS)libosysrtxml.a
LLIBS = -losysrtxml -losysrt $(LLSYS)
LPATHS = $(LPPFX)$(LIBDIR) $(XMLLPATHS)

SAXLIBS   = $(LIBS) $(XMLLIBPATH)
SAXLLIBS  = $(XMLLINKLIB) $(LLIBS)
SAXLPATHS = $(LPATHS) $(XMLLPATHS)

DOMLIBS = $(LIBDIR)$(PS)libosysrtdom.a $(LIBDIR)$(PS)libosysdomapi.a $(SAXLIBS)
DOMLLIBS = -losysrtdom -losysdomapi $(SAXLLIBS)

