#!/bin/bash
##
# Runs the XBinder Editor application. 
#
# Sets the LD_LIBRARY_PATH to point to the location of the xbeditor binary 
# to help ensure that all Qt symbols are found.
##

ROOTDIR=$( cd `dirname $0` && pwd )
LD_LIBRARY_PATH=${ROOTDIR} DYLD_LIBRARY_PATH=${ROOTDIR} ${ROOTDIR}/xbeditor "${@}"
