#! /bin/bash


PATH_TO_JAVA_DIR=../..
. ./$PATH_TO_JAVA_DIR/setenv.sh $PATH_TO_JAVA_DIR

CLASSPATH=bin:$STAX_JARS:$RT_JAR
SRCPATH=gensrc

# make sure gensrc folder (generated source code) is clean
if [ -e gensrc ]; then rm -rf gensrc
; fi
mkdir gensrc

# make sure bin folder (compiled code) is clean
if [ -e bin ]; then rm -rf bin
; fi
mkdir bin

#  Compile the sample .XSD
$OSROOTDIR/bin/xbinder	$OSROOTDIR/xsd/XMPP/bind.xsd $OSROOTDIR/xsd/XMPP/client.xsd $OSROOTDIR/xsd/XMPP/dialback.xsd $OSROOTDIR/xsd/XMPP/e2e.xsd $OSROOTDIR/xsd/XMPP/privacy.xsd $OSROOTDIR/xsd/XMPP/roster.xsd $OSROOTDIR/xsd/XMPP/sasl.xsd $OSROOTDIR/xsd/XMPP/server.xsd $OSROOTDIR/xsd/XMPP/session.xsd $OSROOTDIR/xsd/XMPP/stanzaerror.xsd $OSROOTDIR/xsd/XMPP/streamerror.xsd $OSROOTDIR/xsd/XMPP/streams.xsd $OSROOTDIR/xsd/XMPP/tls.xsd -I $OSROOTDIR/xsd/XMPP -java -xml -print -o gensrc -pkgpfx com.test

#  Compile the sample Reader and Writer programs
javac -cp "$CLASSPATH" -sourcepath "$SRCPATH" -d bin Reader.java Writer.java
